"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.useSharedStateCreator = useSharedStateCreator;

var _react = require("react");

var _SharedStateProvider = require("./SharedStateProvider");

function useSharedStateCreator() {
  const connection = (0, _react.useContext)(_SharedStateProvider.ShareContext);

  if (!connection) {
    throw new Error('The useSharedStateCreator hook must be mounted under a <SharedStateProvider>. Add a <SharedStateProvider> further up the react tree.');
  }

  return (0, _react.useCallback)((collection, doc_id, state) => {
    connection.get(collection, doc_id).create(state);
  }, [connection]);
}